when:
  branch: [main, high-performance]
  event: push

steps:
  - name: build-and-push
    image: registry.nxtgauge.com/kaniko:2.1.1
    settings:
      registry: registry.nxtgauge.com
      username:
        from_secret: REGISTRY_USERNAME
      password:
        from_secret: REGISTRY_PASSWORD
      repo: nxtgauge-frontend-solid
      tags:
        - ${CI_COMMIT_SHA}
        - ${CI_COMMIT_BRANCH}-latest
      dockerfile: Dockerfile
      context: .
